$(document).ready(function(){
    function collapse_init(){
        var location_id = window.location.hash;
        if(location_id && location_id != '' && location_id.length > 1){
            var match_collapse = location_id.match(/\#collapse(\d+)/);
            if(match_collapse){
                var match_idx = parseInt(match_collapse[1]);
                $('#index-archive-group .panel .collapse').removeClass('in').eq(match_idx).addClass('in');
            }
        }
    }
    collapse_init();
    $('.i-archive .panel-heading, .w-archive .panel-heading').each(function(i, v){
      var $v = $(v);
      if($v.text().trim() == ''){
        $v.css('display', 'none');
      }
    })
    $('[data-list="archives"] a[href="javascript:void(0)"]').each(function(i, v){
        var $v = $(v);
        $v.before($v.text()).remove();
    })
    $('[data-list="archives"] a[data-target]').each(function(i, v){
        var $v = $(v);
        var target = $v.data('target');
        $v.attr('target', target);
    })
});